
Audacious - Feature #749

Add ReplayGain support for ALAC files

October 22, 2017 18:40 - Simon Putt

Status: Rejected Start date: October 22, 2017

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.9   

Description

Hi

I have encoded some CDs into ALAC in standard m4a container, and added the usual tags/cover art and added replaygain tags with

Ex Falso (in Linux Fedora 27)

When I play these files back in Clementine they play back fine, with the volume being lowered by the replaygain tags (I tested this by

unticking the reticking the option and the volume raised and lowered as expected)

When I play these files in Audacious the tags are ignored (I looked at the verbose Log, and it said AlbumGain/TrackGain etc was 0)

The only difference I can see is that Clementine uses gstreamer as back end and Audacious FFMPEG?

this is from the log of audacious playing an ALAC file

INFO output.cc:469 [output_set_replay_gain]: Replay Gain info:

INFO output.cc:470 [output_set_replay_gain]:  album gain: 0.000000 dB

INFO output.cc:471 [output_set_replay_gain]:  album peak: 0.000000

INFO output.cc:472 [output_set_replay_gain]:  track gain: 0.000000 dB

INFO output.cc:473 [output_set_replay_gain]:  track peak: 0.000000

same again from a random FLAC I have

INFO output.cc:469 [output_set_replay_gain]: Replay Gain info:

INFO output.cc:470 [output_set_replay_gain]:  album gain: -9.630000 dB

INFO output.cc:471 [output_set_replay_gain]:  album peak: 1.000000

INFO output.cc:472 [output_set_replay_gain]:  track gain: -9.980000 dB

INFO output.cc:473 [output_set_replay_gain]:  track peak: 0.976000

I am using Fedora Linux 27, used abcde as ripper and configured it to encode alac with ffmpeg

Basically, it plays the files, but ignores the ReplayGain tags.

Many thanks, Lemon

History

#1 - October 23, 2017 23:32 - John Lindgren

- Tracker changed from Bug to Feature

- Subject changed from ReplayGain not applying to ALAC when decoded with ffaudio plugin to Add ReplayGain support for ALAC files

This has never been supported, but a patch would be welcome to implement it.

Is there any particular reason you've chosen ALAC?  FLAC is generally better supported by Audacious and other open-source software.

#2 - October 24, 2017 17:01 - Simon Putt

Chosen ALAC as I need lossless and Support on iDevices.

March 08, 2024 1/2



#3 - December 05, 2020 16:36 - John Lindgren

- Status changed from New to Rejected

Closing old feature requests that no one has shown interest in working on for >3 years.
